commit:     c9e03dadcc3bf3020d7a16c6e04f9148a22f1f6d
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  9 16:33:28 2026 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Fri Jan  9 16:52:06 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9e03dad

dev-db/etcd: Version bump to 3.6.7

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 dev-db/etcd/Manifest          |  2 ++
 dev-db/etcd/etcd-3.6.7.ebuild | 77 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-db/etcd/Manifest b/dev-db/etcd/Manifest
index 1d56cf003847..db880c7bdf7a 100644
--- a/dev-db/etcd/Manifest
+++ b/dev-db/etcd/Manifest
@@ -4,3 +4,5 @@ DIST etcd-3.5.18-deps.tar.xz 46453448 BLAKE2B 
677370cb6d9064f8474adbfc5030b46f33
 DIST etcd-3.5.18.tar.gz 4128059 BLAKE2B 
32f867170bf1195d019dcf562bff9104db00f6ccff6b91bf12a4c95a63a5d92dda6984437bed819240be7bd8d4e2b507904251f636e945c5847ef93e72f1dd63
 SHA512 
0d72c40d575997d70d9d4964e7ff4be75c77e13a40ea08fcc020fddc64dc420338f1853d5a51a2dbe3f4c2881ae196a7aa32565e4b41dbda77bc2b6ae2313104
 DIST etcd-3.5.26-deps.tar.xz 48943308 BLAKE2B 
6c5719f47ef4be8b98260ff8b1f4d09c25bf01eb830e8e7851793d617336df0556bf7010bd9b6dba611b017501bdda18541282363e275d3ecded6c25efa43c50
 SHA512 
e3544d6787800d734ec9e851ea4755f166e3eaf6e82c3353e172aa2f34336a312f97811e39aae4babc905d91627fa182aed007c450737194db937d4ba76dc8c9
 DIST etcd-3.5.26.tar.gz 4145585 BLAKE2B 
e261a5ef3b629a69cc044b1a92ee6b3a2d56ee7e648b86036016c79b084bbb5dd748ecaf0214900b88c596b14f297815ab166e468c0fe84d63f46e6b51e867d5
 SHA512 
3a014d259725d8a116a3823fd921c6fa6cf9587c993038c12765085032610e997bf318d29ca2ae9ed34a55990cb500b61e2bc1f8151a80e200ec2299d918cf76
+DIST etcd-3.6.7-deps.tar.xz 109371156 BLAKE2B 
46f3d0cfed7ad1f9c799d569cd78d766266e8f33f3b2421011860443d644044cd46a58c67180ac7c15d63385b33ab18b9139dc0954a509898147e616f470e4e0
 SHA512 
711506c537d721a3c64466a7b57a5cc32f25a018947b232a9fc6b28f0faa1985c3f319161ba6ca20e7a909574fd5c4887a0cf0290461a97d713182a38f11f48c
+DIST etcd-3.6.7.tar.gz 7379199 BLAKE2B 
011a5fb132dbb3a5229d20f803df3ba8785c068e3ed38d14d8be798af74cf3895efe980be605014e648883903512f910129d5bb57600dd7f170361a1fb7c488b
 SHA512 
05d85c127bf947799deccbf082bfb7e93c3a37378a13723d0cc925bec8fc153a2391b4d1be3cf9da46fc575ed45c3afbbdb143f227a163b37e92a27163f5a2e8

diff --git a/dev-db/etcd/etcd-3.6.7.ebuild b/dev-db/etcd/etcd-3.6.7.ebuild
new file mode 100644
index 000000000000..727948cf62c5
--- /dev/null
+++ b/dev-db/etcd/etcd-3.6.7.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module systemd tmpfiles
+GIT_COMMIT=e838ef116
+
+DESCRIPTION="Highly-available key value store for shared configuration and 
service discovery"
+HOMEPAGE="https://github.com/etcd-io/etcd";
+SRC_URI="https://github.com/etcd-io/etcd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~chewi/distfiles/${P}-deps.tar.xz";
+
+LICENSE="Apache-2.0"
+LICENSE+=" BSD BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~riscv"
+IUSE="doc +server"
+
+COMMON_DEPEND="server? (
+       acct-group/etcd
+       acct-user/etcd
+       )"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+# Unit tests attempt to download go modules.
+PROPERTIES="test_network"
+RESTRICT="test"
+
+src_prepare() {
+       default
+       sed -i "s|GIT_SHA=.*|GIT_SHA=${GIT_COMMIT}|" scripts/build_lib.sh || die
+
+       # Don't test these as they are not built.
+       find tools/ -name "*_test.go" -delete || die
+}
+
+src_configure() {
+       export FORCE_HOST_GO=1 GO_BUILD_FLAGS="-v -x"
+}
+
+src_compile() {
+       scripts/build.sh || die
+}
+
+src_test() {
+       PASSES="unit" scripts/test.sh -v || die
+}
+
+src_install() {
+       dobin bin/etcdctl
+       dobin bin/etcdutl
+       use doc && dodoc -r Documentation
+       if use server; then
+               insinto /etc/${PN}
+               sed -e 's|^data-dir:|\0 /var/lib/etcd|' -i etcd.conf.yml.sample 
|| die
+               newins etcd.conf.yml.sample etcd.conf.yml
+               dobin bin/etcd
+               dodoc README.md
+               systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}.service"
+               newtmpfiles "${FILESDIR}/${PN}.tmpfiles.d.conf" ${PN}.conf
+               newinitd "${FILESDIR}"/${PN}.initd-r1 ${PN}
+               newconfd "${FILESDIR}"/${PN}.confd-r1 ${PN}
+               insinto /etc/logrotate.d
+               newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+               keepdir /var/lib/${PN} /var/log/${PN}
+               fowners ${PN}:${PN} /var/lib/${PN} /var/log/${PN}
+               fperms 0700 /var/lib/${PN}
+               fperms 0755 /var/log/${PN}
+       fi
+}
+
+pkg_postinst() {
+       if use server; then
+               tmpfiles_process ${PN}.conf
+       fi
+}

Reply via email to